Bug 1445 - printer drivers from kyocer (so-called KX-Drivers) don´t work on SAMBA
printer drivers from kyocer (so-called KX-Drivers) don´t work on SAMBA
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.0preX
x86 Linux
: P3 major
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-09 03:29 UTC by Norbert Wüst
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Norbert Wüst 2004-06-09 03:29:28 UTC
Printer drivers (Kyocera-mita FS 1800+ KX) from kyocera (http://www.service.
kyoceramita.de/html/view/Downloads/Drivers.asp?table=Drivers#.asp) don´t work on 
SuSE Linux (9.x 8.x), Samba 3.0.x

I tested from W2k(Sp4) and NT4(SP6a) with different messages. I tested on SuSE 
Linux from 8.1 to 9. with the same behavior

You can choose the new driver and the files seems to be transferred to 
Samba-share print$. But at the end on NT4 there comes a message "Cannot change 
to the driver, returing to old configuration". On W2k there is no message, but 
if you want to change configuration, a message comes "No driver installed. Do 
you want to install driver..."

The classical Drivers based on Microsoft technonlogy from Kyocer work fine, but 
there are not all Options needed available.

I tried to read the log.smbd (with debug leve = 3), but I don´r really 
understand everthing. I found several lines with flag STATUS_BUFFER_OVERLOW. 
They come only, while testing with KX-drivers.
Comment 1 Gerald (Jerry) Carter 2004-10-19 09:53:55 UTC
Please retest 3.0.7 + the patch at 
http://www.samba.org/~jerry/patches/post-3.0.7/printername_and_queue_update.patch

Thanks.
Comment 2 Gerald (Jerry) Carter 2004-11-15 20:14:55 UTC
no feedback in several weeks.  Closing as fixed in 3.0.8.
Comment 3 Gerald (Jerry) Carter 2005-02-07 07:57:08 UTC
originally reported against 3.0aph24.  Bugzilla spring cleaning.  
Removing old alpha versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:18:40 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.